freemarker.core

## Class UnformattableValueException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - freemarker.core.TemplateValueFormatException
      - - freemarker.core.UnformattableValueException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  UnknownDateTypeFormattingUnsupportedException, UnknownDateTypeParsingUnsupportedException

    public class UnformattableValueException
    extends TemplateValueFormatException

Thrown when a `TemplateModel` can't be formatted because of the value/properties of it are outside of that the `TemplateValueFormat` supports. For example, a formatter may not support dates before year 1, or can't format NaN. The most often used subclass is `UnknownDateTypeFormattingUnsupportedException`.

Since:
  2.3.24
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnformattableValueException(String message)`
`UnformattableValueException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnformattableValueException

    public UnformattableValueException(String message,
                                       Throwable cause)

#### UnformattableValueException

    public UnformattableValueException(String message)